server.port = 8912

spring.redisson.address = 14.62.1.151:6379
spring.redisson.database = 0
spring.redisson.password = BaiChuanXin@2020
file.dir =/data/openOffice/
spring.resources.static-locations = classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:${file.dir}
## openoffice
office.home=/opt/openoffice4
server.tomcat.uri-encoding = UTF-8
converted.file.charset = GBK
#=====================================================================#
spring.http.multipart.max-file-size=100MB
spring.http.multipart.max-request-size=100MB
simText = txt,html,xml,java,properties,mp3,mp4,sql
media=mp3,mp4,flv,rmvb


mybatis-plus.mapper-locations = classpath:/mybatis/**/*Mapper.xml
mybatis-plus.type-aliases-package= com.bcxin
#主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
mybatis-plus.global-config.id-type=2
#字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
mybatis-plus.global-config.field-strategy=1
#驼峰下划线转换
mybatis-plus.global-config.db-column-underline=false
#刷新mapper 调试神器
mybatis-plus.global-config.refresh-mapper=true
#数据库大写下划线转换
mybatis-plus.global-config.capital-mode=false
mybatis-plus.configuration.map-underscore-to-camel-case=false
mybatis-plus.configuration.cache-enabled=false


spring.datasource.name=inbj_yulan
spring.datasource.url=jdbc:mysql://14.62.1.151:3306/inbj_yulan?useUnicode=true&characterEncoding=utf8&useCompression=true
spring.datasource.username=inbj_yulan
spring.datasource.password=Inbj_yulan#202110

# 使用druid数据源
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.jdbc.Driver